<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Float Based layout</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;
        }

        html,
        body {
            width: 100vw;
            height: 100vh;
            background: skyblue;
        }

        header {
            width: 100%;
            height: 150px;
            background: slateblue;
            color: white;
            text-align: center;
        }

        nav {
            width: 300px;
            height: calc(100% - 150px);
            background: blueviolet;
            color: white;
            float: left;
        }

        main {
            float: right;
            background: cadetblue;
            width: calc(100% - 300px);
            height: calc(100% - 200px);
            color: white;
        }

        footer {
            height: 50px;
            width: calc(100% - 300px);
            background: black;
            color: white;
            float: right;
        }
    </style>
</head>

<body>
    <header>
        Mina olen päis
    </header>
    <nav>
        Mina olen nav
    </nav>
    <main>
        Mina olen põhjus, miks see leht on olemas.
    </main>
    <footer>
        See siin on aadress ja telefoninumber.
    </footer>
</body>

</html>